## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without  tests

%global         srcname     jsondiff
%global         forgeurl    https://github.com/xlwings/jsondiff
Version:        2.2.1
%global         tag         %{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Diff JSON and JSON-like structures in Python

License:        MIT
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
Diff JSON and JSON-like structures in Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires -r


%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel


%if %{with tests}
%check
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_check_import
%pytest
%endif


%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_install
%pyproject_save_files jsondiff

# Remove the jsondiff binary to avoid conflict with python-jsonpatch.
# See BZ 1967775 for more details.
rm -f %{buildroot}%{_bindir}/%{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md
%{_bindir}/jdiff


%changelog
## START: Generated by rpmautospec
* Mon Sep 02 2024 Packit <hello@packit.dev> - 2.2.1-1
- Update to 2.2.1 upstream release
- Resolves: rhbz#2309078

* Tue Jul 23 2024 Major Hayden <major@redhat.com> - 2.2.0-1
- Update to 2.2.0 rhbz#2297870

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 08 2024 Major Hayden <major@redhat.com> - 2.1.1-2
- Enable tests, work around setuptools_scm

* Mon Jul 08 2024 Major Hayden <major@redhat.com> - 2.1.1-1
- Update to 2.1.1 rhbz@2295513

* Mon Jul 08 2024 Major Hayden <major@redhat.com> - 2.0.0-11
- Add packit config

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.0.0-10
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 2.0.0-6
- Rebuilt for Python 3.12

* Wed May 17 2023 Major Hayden <major@redhat.com> - 2.0.0-5
- Migrated to SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2.0.0-2
- Rebuilt for Python 3.11

* Wed Apr 13 2022 Major Hayden <major@mhtx.net> - 2.0.0-1
- Update to 2.0.0

* Mon Jan 24 2022 Major Hayden <major@redhat.com> - 1.3.1-1
- Update to 1.3.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Major Hayden <major@redhat.com> - 1.3.0-4
- Remove jsondiff binary (See BZ 1967775)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 08 2021 Major Hayden <major@mhtx.net> - 1.3.0-2
- Add setuptools to BuildRequires

* Tue Jun 08 2021 Major Hayden <major@mhtx.net> - 1.3.0-1
- Initial import (#1967775)
## END: Generated by rpmautospec
